VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::ExportFlagStub Class Reference

Remote stub implementation of the ExportFlag API service. More...

Inherits vmware::vcenter::ovf::ExportFlag.

List of all members.

## Public Member Functions
| ExportFlagStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < vmware.vcenter.ovf.ExportFlagTypes.Info > | List ()
| Returns information about the supported export flags by the server.
global::System.Collections.Generic.List < vmware.vcenter.ovf.ExportFlagTypes.Info > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about the supported export flags by the server.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.ovf.ExportFlagTypes.Info > > | ListAsync ()
| Returns information about the supported export flags by the server.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.ovf.ExportFlagTypes.Info > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about the supported export flags by the server.

## Detailed Description

Remote stub implementation of the ExportFlag API service.

## Constructor & Destructor Documentation

vmware::vcenter::ovf::ExportFlagStub::ExportFlagStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

global::System.Collections.Generic.List<vmware.vcenter.ovf.ExportFlagTypes.Info> vmware::vcenter::ovf::ExportFlagStub::List | ( |  | ) | `[inline]`

Returns information about the supported export flags by the server.

The supported flags are:

- PRESERVE_MAC Include MAC addresses for network adapters.
- EXTRA_CONFIG Include extra configuration in OVF export.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  A list of supported export flags.

Implements vmware::vcenter::ovf::ExportFlag.

global::System.Collections.Generic.List<vmware.vcenter.ovf.ExportFlagTypes.Info> vmware::vcenter::ovf::ExportFlagStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about the supported export flags by the server.

The supported flags are:

- PRESERVE_MAC Include MAC addresses for network adapters.
- EXTRA_CONFIG Include extra configuration in OVF export.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  A list of supported export flags.

Implements vmware::vcenter::ovf::ExportFlag.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.ovf.ExportFlagTypes.Info> > vmware::vcenter::ovf::ExportFlagStub::ListAsync | ( |  | ) | `[inline]`

Returns information about the supported export flags by the server.

The supported flags are:

- PRESERVE_MAC Include MAC addresses for network adapters.
- EXTRA_CONFIG Include extra configuration in OVF export.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  A list of supported export flags.

Implements vmware::vcenter::ovf::ExportFlag.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.ovf.ExportFlagTypes.Info> > vmware::vcenter::ovf::ExportFlagStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about the supported export flags by the server.

The supported flags are:

- PRESERVE_MAC Include MAC addresses for network adapters.
- EXTRA_CONFIG Include extra configuration in OVF export.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  A list of supported export flags.

Implements vmware::vcenter::ovf::ExportFlag.

The documentation for this class was generated from the following file:

- ExportFlagStub.cs